Page MenuHomePhabricator

Wikibase\SqlIdGenerator::generateNewId: Implicit transaction expected (DBO_TRX set).
Closed, ResolvedPublic

Description

on 1.28.0-wmf.17 on testwikidatawiki and wikidatawiki at least:

Wikibase\SqlIdGenerator::generateNewId: Implicit transaction expected (DBO_TRX set).
Wikibase\SqlIdGenerator::generateNewId: Explicit commit of implicit transaction.

A similar one is T144434: Wikibase\Client\Usage\Sql\EntityUsageTable::addUsages: Implicit transaction already active (from DatabaseBase::query (Wikibase\Client\Usage\Sql\EntityUsageTable::queryUsages)).

Event Timeline

hashar created this task.Aug 31 2016, 7:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2016, 7:52 PM

Mentioned in SAL [2016-08-31T19:59:11Z] <hashar> group1 to 1.28.0-wmf.17 done. There is a couple explicit commit of implicit transactions for Wikidata T144433 T144434 not much of a worry

thiemowmde triaged this task as Low priority.Sep 1 2016, 3:01 PM
thiemowmde added subscribers: hoo, daniel, aude.
hoo closed this task as Resolved.Sep 1 2016, 8:32 PM
hoo claimed this task.

4c2bb680350448267469e079f232f9cd9356a3e4 fixes this. We plan to deploy that next week (with wmf18).

Feel free to ping @aude or me in case this is urgent, so that we can backport the change in question.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM